Legacy (v0)
Create company media
Create a new media item for the company. The attached_shareables_attributes field creates video-shopping overlays and returns 422 when a substantive entry targets non-video media.
POST
/
api
/
company
/
media
Create company media
curl --request POST \
--url https://api.fluid.app/api/company/media \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"medium": {
"title": "Why Dunder Mifflin Paper?",
"description": "Michael Scott explains why Scranton trusts Dunder Mifflin 20lb Copy Paper.",
"media_type": "share",
"kind": "video",
"video_url": "https://cdn.fluid.app/dunder-mifflin/media/why-dunder-mifflin-paper.mp4",
"active": true,
"visibility": "open",
"cta_enabled": true,
"cta_action_type": "visit_on_click",
"cta_url": "https://shop.dundermifflin.com/products/20lb-copy-paper",
"cta_button_text": "Shop copy paper",
"available_countries": [
"US"
],
"tags_attributes": [
{
"name": "Paper"
}
]
}
}
'import requests
url = "https://api.fluid.app/api/company/media"
payload = { "medium": {
"title": "Why Dunder Mifflin Paper?",
"description": "Michael Scott explains why Scranton trusts Dunder Mifflin 20lb Copy Paper.",
"media_type": "share",
"kind": "video",
"video_url": "https://cdn.fluid.app/dunder-mifflin/media/why-dunder-mifflin-paper.mp4",
"active": True,
"visibility": "open",
"cta_enabled": True,
"cta_action_type": "visit_on_click",
"cta_url": "https://shop.dundermifflin.com/products/20lb-copy-paper",
"cta_button_text": "Shop copy paper",
"available_countries": ["US"],
"tags_attributes": [{ "name": "Paper" }]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
medium: {
title: 'Why Dunder Mifflin Paper?',
description: 'Michael Scott explains why Scranton trusts Dunder Mifflin 20lb Copy Paper.',
media_type: 'share',
kind: 'video',
video_url: 'https://cdn.fluid.app/dunder-mifflin/media/why-dunder-mifflin-paper.mp4',
active: true,
visibility: 'open',
cta_enabled: true,
cta_action_type: 'visit_on_click',
cta_url: 'https://shop.dundermifflin.com/products/20lb-copy-paper',
cta_button_text: 'Shop copy paper',
available_countries: ['US'],
tags_attributes: [{name: 'Paper'}]
}
})
};
fetch('https://api.fluid.app/api/company/media', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/company/media",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'medium' => [
'title' => 'Why Dunder Mifflin Paper?',
'description' => 'Michael Scott explains why Scranton trusts Dunder Mifflin 20lb Copy Paper.',
'media_type' => 'share',
'kind' => 'video',
'video_url' => 'https://cdn.fluid.app/dunder-mifflin/media/why-dunder-mifflin-paper.mp4',
'active' => true,
'visibility' => 'open',
'cta_enabled' => true,
'cta_action_type' => 'visit_on_click',
'cta_url' => 'https://shop.dundermifflin.com/products/20lb-copy-paper',
'cta_button_text' => 'Shop copy paper',
'available_countries' => [
'US'
],
'tags_attributes' => [
[
'name' => 'Paper'
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/company/media"
payload := strings.NewReader("{\n \"medium\": {\n \"title\": \"Why Dunder Mifflin Paper?\",\n \"description\": \"Michael Scott explains why Scranton trusts Dunder Mifflin 20lb Copy Paper.\",\n \"media_type\": \"share\",\n \"kind\": \"video\",\n \"video_url\": \"https://cdn.fluid.app/dunder-mifflin/media/why-dunder-mifflin-paper.mp4\",\n \"active\": true,\n \"visibility\": \"open\",\n \"cta_enabled\": true,\n \"cta_action_type\": \"visit_on_click\",\n \"cta_url\": \"https://shop.dundermifflin.com/products/20lb-copy-paper\",\n \"cta_button_text\": \"Shop copy paper\",\n \"available_countries\": [\n \"US\"\n ],\n \"tags_attributes\": [\n {\n \"name\": \"Paper\"\n }\n ]\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fluid.app/api/company/media")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"medium\": {\n \"title\": \"Why Dunder Mifflin Paper?\",\n \"description\": \"Michael Scott explains why Scranton trusts Dunder Mifflin 20lb Copy Paper.\",\n \"media_type\": \"share\",\n \"kind\": \"video\",\n \"video_url\": \"https://cdn.fluid.app/dunder-mifflin/media/why-dunder-mifflin-paper.mp4\",\n \"active\": true,\n \"visibility\": \"open\",\n \"cta_enabled\": true,\n \"cta_action_type\": \"visit_on_click\",\n \"cta_url\": \"https://shop.dundermifflin.com/products/20lb-copy-paper\",\n \"cta_button_text\": \"Shop copy paper\",\n \"available_countries\": [\n \"US\"\n ],\n \"tags_attributes\": [\n {\n \"name\": \"Paper\"\n }\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/company/media")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"medium\": {\n \"title\": \"Why Dunder Mifflin Paper?\",\n \"description\": \"Michael Scott explains why Scranton trusts Dunder Mifflin 20lb Copy Paper.\",\n \"media_type\": \"share\",\n \"kind\": \"video\",\n \"video_url\": \"https://cdn.fluid.app/dunder-mifflin/media/why-dunder-mifflin-paper.mp4\",\n \"active\": true,\n \"visibility\": \"open\",\n \"cta_enabled\": true,\n \"cta_action_type\": \"visit_on_click\",\n \"cta_url\": \"https://shop.dundermifflin.com/products/20lb-copy-paper\",\n \"cta_button_text\": \"Shop copy paper\",\n \"available_countries\": [\n \"US\"\n ],\n \"tags_attributes\": [\n {\n \"name\": \"Paper\"\n }\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"medium": {
"id": 48213,
"label": null,
"display_tag": null,
"user_id": null,
"media_type": "share",
"media_format": "mp4",
"pdf_url": null,
"kind": "video",
"visibility": "open",
"duration": 94,
"cta_url": "https://shop.dundermifflin.com/products/20lb-copy-paper",
"cta_button_text": "Shop copy paper",
"cta_enabled": true,
"cta_action_type": "visit_on_click",
"video_shopping_enabled": false,
"prompts_enabled": true,
"settings": null,
"application_theme_template_id": null,
"created_at": "2026-09-14T15:32:08Z",
"slug": "why-dunder-mifflin-paper",
"custom_slug": false,
"publish_at": null,
"video_url": "https://cdn.fluid.app/dunder-mifflin/media/why-dunder-mifflin-paper.mp4",
"title": "Why Dunder Mifflin Paper?",
"description": {
"id": 77120,
"name": "description",
"body": "<div>Michael Scott explains why Scranton trusts Dunder Mifflin 20lb Copy Paper.</div>",
"record_type": "Medium",
"record_id": 48213,
"locale": "en",
"created_at": "2026-09-14T15:32:08Z",
"updated_at": "2026-09-14T15:32:08Z"
},
"stripped": "Michael Scott explains why Scranton trusts Dunder Mifflin 20lb Copy Paper.",
"active": true,
"image_url": "https://cdn.fluid.app/dunder-mifflin/media/why-dunder-mifflin-paper.jpg",
"share_link": null,
"views": 0,
"leads": 0,
"watch": null,
"video_status": null,
"preview_link": "https://shop.dundermifflin.com/home/media/why-dunder-mifflin-paper?preview=true",
"ranks": [],
"countries": [
{
"id": 233,
"iso": "US",
"name": "United States"
}
],
"tags": [
{
"id": 3120,
"name": "Paper"
}
],
"subtitles": {},
"prompts": [],
"attached_shareables": []
},
"meta": {
"request_id": "5f0c2a7e-9b1d-4c83-a6e2-3d7f4b8e1c90",
"timestamp": "2026-09-22T14:05:31Z"
}
}{
"message": "<string>"
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"blocked_date": "2026-11-30",
"blocked_day": 30,
"allowed_date": "2026-11-28",
"scheduled_date": "2026-12-10",
"last_bill_date": "2026-11-10",
"requested_date": "2026-11-30",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}Body
application/json
Media attributes. Video-shopping overlay writes use attached_shareables_attributes and require video media. Null, empty, and destroy-only values are accepted for non-video media.
⌘I
Create company media
curl --request POST \
--url https://api.fluid.app/api/company/media \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"medium": {
"title": "Why Dunder Mifflin Paper?",
"description": "Michael Scott explains why Scranton trusts Dunder Mifflin 20lb Copy Paper.",
"media_type": "share",
"kind": "video",
"video_url": "https://cdn.fluid.app/dunder-mifflin/media/why-dunder-mifflin-paper.mp4",
"active": true,
"visibility": "open",
"cta_enabled": true,
"cta_action_type": "visit_on_click",
"cta_url": "https://shop.dundermifflin.com/products/20lb-copy-paper",
"cta_button_text": "Shop copy paper",
"available_countries": [
"US"
],
"tags_attributes": [
{
"name": "Paper"
}
]
}
}
'import requests
url = "https://api.fluid.app/api/company/media"
payload = { "medium": {
"title": "Why Dunder Mifflin Paper?",
"description": "Michael Scott explains why Scranton trusts Dunder Mifflin 20lb Copy Paper.",
"media_type": "share",
"kind": "video",
"video_url": "https://cdn.fluid.app/dunder-mifflin/media/why-dunder-mifflin-paper.mp4",
"active": True,
"visibility": "open",
"cta_enabled": True,
"cta_action_type": "visit_on_click",
"cta_url": "https://shop.dundermifflin.com/products/20lb-copy-paper",
"cta_button_text": "Shop copy paper",
"available_countries": ["US"],
"tags_attributes": [{ "name": "Paper" }]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
medium: {
title: 'Why Dunder Mifflin Paper?',
description: 'Michael Scott explains why Scranton trusts Dunder Mifflin 20lb Copy Paper.',
media_type: 'share',
kind: 'video',
video_url: 'https://cdn.fluid.app/dunder-mifflin/media/why-dunder-mifflin-paper.mp4',
active: true,
visibility: 'open',
cta_enabled: true,
cta_action_type: 'visit_on_click',
cta_url: 'https://shop.dundermifflin.com/products/20lb-copy-paper',
cta_button_text: 'Shop copy paper',
available_countries: ['US'],
tags_attributes: [{name: 'Paper'}]
}
})
};
fetch('https://api.fluid.app/api/company/media', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/company/media",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'medium' => [
'title' => 'Why Dunder Mifflin Paper?',
'description' => 'Michael Scott explains why Scranton trusts Dunder Mifflin 20lb Copy Paper.',
'media_type' => 'share',
'kind' => 'video',
'video_url' => 'https://cdn.fluid.app/dunder-mifflin/media/why-dunder-mifflin-paper.mp4',
'active' => true,
'visibility' => 'open',
'cta_enabled' => true,
'cta_action_type' => 'visit_on_click',
'cta_url' => 'https://shop.dundermifflin.com/products/20lb-copy-paper',
'cta_button_text' => 'Shop copy paper',
'available_countries' => [
'US'
],
'tags_attributes' => [
[
'name' => 'Paper'
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/company/media"
payload := strings.NewReader("{\n \"medium\": {\n \"title\": \"Why Dunder Mifflin Paper?\",\n \"description\": \"Michael Scott explains why Scranton trusts Dunder Mifflin 20lb Copy Paper.\",\n \"media_type\": \"share\",\n \"kind\": \"video\",\n \"video_url\": \"https://cdn.fluid.app/dunder-mifflin/media/why-dunder-mifflin-paper.mp4\",\n \"active\": true,\n \"visibility\": \"open\",\n \"cta_enabled\": true,\n \"cta_action_type\": \"visit_on_click\",\n \"cta_url\": \"https://shop.dundermifflin.com/products/20lb-copy-paper\",\n \"cta_button_text\": \"Shop copy paper\",\n \"available_countries\": [\n \"US\"\n ],\n \"tags_attributes\": [\n {\n \"name\": \"Paper\"\n }\n ]\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fluid.app/api/company/media")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"medium\": {\n \"title\": \"Why Dunder Mifflin Paper?\",\n \"description\": \"Michael Scott explains why Scranton trusts Dunder Mifflin 20lb Copy Paper.\",\n \"media_type\": \"share\",\n \"kind\": \"video\",\n \"video_url\": \"https://cdn.fluid.app/dunder-mifflin/media/why-dunder-mifflin-paper.mp4\",\n \"active\": true,\n \"visibility\": \"open\",\n \"cta_enabled\": true,\n \"cta_action_type\": \"visit_on_click\",\n \"cta_url\": \"https://shop.dundermifflin.com/products/20lb-copy-paper\",\n \"cta_button_text\": \"Shop copy paper\",\n \"available_countries\": [\n \"US\"\n ],\n \"tags_attributes\": [\n {\n \"name\": \"Paper\"\n }\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/company/media")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"medium\": {\n \"title\": \"Why Dunder Mifflin Paper?\",\n \"description\": \"Michael Scott explains why Scranton trusts Dunder Mifflin 20lb Copy Paper.\",\n \"media_type\": \"share\",\n \"kind\": \"video\",\n \"video_url\": \"https://cdn.fluid.app/dunder-mifflin/media/why-dunder-mifflin-paper.mp4\",\n \"active\": true,\n \"visibility\": \"open\",\n \"cta_enabled\": true,\n \"cta_action_type\": \"visit_on_click\",\n \"cta_url\": \"https://shop.dundermifflin.com/products/20lb-copy-paper\",\n \"cta_button_text\": \"Shop copy paper\",\n \"available_countries\": [\n \"US\"\n ],\n \"tags_attributes\": [\n {\n \"name\": \"Paper\"\n }\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"medium": {
"id": 48213,
"label": null,
"display_tag": null,
"user_id": null,
"media_type": "share",
"media_format": "mp4",
"pdf_url": null,
"kind": "video",
"visibility": "open",
"duration": 94,
"cta_url": "https://shop.dundermifflin.com/products/20lb-copy-paper",
"cta_button_text": "Shop copy paper",
"cta_enabled": true,
"cta_action_type": "visit_on_click",
"video_shopping_enabled": false,
"prompts_enabled": true,
"settings": null,
"application_theme_template_id": null,
"created_at": "2026-09-14T15:32:08Z",
"slug": "why-dunder-mifflin-paper",
"custom_slug": false,
"publish_at": null,
"video_url": "https://cdn.fluid.app/dunder-mifflin/media/why-dunder-mifflin-paper.mp4",
"title": "Why Dunder Mifflin Paper?",
"description": {
"id": 77120,
"name": "description",
"body": "<div>Michael Scott explains why Scranton trusts Dunder Mifflin 20lb Copy Paper.</div>",
"record_type": "Medium",
"record_id": 48213,
"locale": "en",
"created_at": "2026-09-14T15:32:08Z",
"updated_at": "2026-09-14T15:32:08Z"
},
"stripped": "Michael Scott explains why Scranton trusts Dunder Mifflin 20lb Copy Paper.",
"active": true,
"image_url": "https://cdn.fluid.app/dunder-mifflin/media/why-dunder-mifflin-paper.jpg",
"share_link": null,
"views": 0,
"leads": 0,
"watch": null,
"video_status": null,
"preview_link": "https://shop.dundermifflin.com/home/media/why-dunder-mifflin-paper?preview=true",
"ranks": [],
"countries": [
{
"id": 233,
"iso": "US",
"name": "United States"
}
],
"tags": [
{
"id": 3120,
"name": "Paper"
}
],
"subtitles": {},
"prompts": [],
"attached_shareables": []
},
"meta": {
"request_id": "5f0c2a7e-9b1d-4c83-a6e2-3d7f4b8e1c90",
"timestamp": "2026-09-22T14:05:31Z"
}
}{
"message": "<string>"
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"blocked_date": "2026-11-30",
"blocked_day": 30,
"allowed_date": "2026-11-28",
"scheduled_date": "2026-12-10",
"last_bill_date": "2026-11-10",
"requested_date": "2026-11-30",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}